/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example for iswdigit(wint_t).  This function will return a
   non-zero value if the parameter is digit.
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;

    wc = '1';
    fputwc(wc, stdout);
    if(iswdigit(wc) > 0)
        printf(": is a digit.\n");
    else
        printf(": is not a digit.\n");
}
